Package com.xebialabs.xlrelease.configuration

# Class AuditReportSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.AuditReportSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Audit reports", description="Release will use these settings to manage the lifecycle and data available to Audit reports.") public class AuditReportSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AUDIT_REPORT_SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditReportSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getReportsRetentionPeriod()`
  `boolean`
  `isGeneratePermissionSnapshots()`
  `void`
  `setGeneratePermissionSnapshots(boolean generatePermissionSnapshots)`
  `void`
  `setReportsRetentionPeriod(Integer reportsRetentionPeriod)`
  `void`
  `validate()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, getTitle, hasId, isSupportedOn, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### AUDIT_REPORT_SETTINGS_ID

    public static final String AUDIT_REPORT_SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuditReportSettings

    public AuditReportSettings()

- ## Method Details

  - ### validate

    public void validate()

  - ### getReportsRetentionPeriod

    public Integer getReportsRetentionPeriod()

  - ### setReportsRetentionPeriod

    public void setReportsRetentionPeriod(Integer reportsRetentionPeriod)

  - ### isGeneratePermissionSnapshots

    public boolean isGeneratePermissionSnapshots()

  - ### setGeneratePermissionSnapshots

    public void setGeneratePermissionSnapshots(boolean generatePermissionSnapshots)